package main

/*
	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	"go.wit.com/log"
)

var outputS []string

var NOW *log.LogFlag
var INFO *log.LogFlag

var SPEW *log.LogFlag
var WARN *log.LogFlag

var ERROR *log.LogFlag

func init() {
	full := "toolkit/nocui"
	short := "nocui"

	NOW = log.NewFlag("NOW", true, full, short, "temp debugging stuff")
	INFO = log.NewFlag("INFO", false, full, short, "normal debugging stuff")

	WARN = log.NewFlag("WARN", true, full, short, "bad things")
	SPEW = log.NewFlag("SPEW", false, full, short, "spew stuff")

	ERROR = log.NewFlag("ERROR", false, full, short, "toolkit errors")
}
